Skip to main content
`Ctrl`+`K`

# networkx.classes.coreviews.UnionAtlas

class UnionAtlas(succ, pred)

  A read-only union of two atlases (dict-of-dict).

  The two dict-of-dicts represent the inner dict of an Adjacency: `G.succ[node]` and `G.pred[node]`. The inner level of dict of both hold attribute key:value pairs and is read-write. But the outer level is read-only.

  See also

  `UnionAdjacency`

    View into dict-of-dict-of-dict

  `UnionMultiAdjacency`

    View into dict-of-dict-of-dict-of-dict

  __init__(succ, pred)

  Methods

  `copy`() |
  `get`(k[,d]) |
  `items`() |
  `keys`() |
  `values`() |